| Home | Libraries | People | FAQ | More

###### key_value_pair::key_value_pair (1 of 7 overloads)

Copy constructor.

###### Synopsis

    key_value_pair(
        key_value_pair const& other);

###### Description

This constructs a key/value pair with a copy of another key/value pair, using the same memory resource as `other`.

###### Exception Safety

Strong guarantee. Calls to `memory_resource::allocate` may throw.

###### Parameters

Name | Description
--- | ---
`other` | The key/value pair to copy.